
Redmine - Feature #24198

Setting for subtasks optionally follow the project change of the parent

2016-10-28 14:24 - Jérôme BATAILLE

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

Hi,

When an issue is moved to another project, it's subtasks are automatically moved to the project (with no journal for the move).

This patch :

adds a configuration to choose if the subtasks follows

enable the journal for the project move on subtasks

Related issues:

Has duplicate Redmine - Patch #31133: Option to forbid children issues to fol... Closed

History

#1 - 2016-10-28 14:34 - Jérôme BATAILLE

- File RM_24198_Setting_for_subtasks_optionally_follow_the_project_change_of_the_parent.diff added

#2 - 2016-10-28 14:56 - Jérôme BATAILLE

- File RM_24198_Setting_for_subtasks_optionally_follow_the_project_change_of_the_parent.diff added

#3 - 2019-04-02 12:18 - Jérôme BATAILLE

This can be surprising to see children issues moving to new parent issue project when parent is moved, because this is done without giving the

choice and with no real hint.

This can be an issue when some children issues should not be seen by some members of the new project (real issue seen in our company !).

This patch adds a global option to forbid issues to follow the parent.

#4 - 2019-04-02 12:18 - Jérôme BATAILLE

- File RM_531512_Smile_Changement_de_projet_demande_-_ne_plus_faire_suivre_les_sous_taches.diff added

#5 - 2019-04-27 11:33 - Go MAEDA

- Target version set to Candidate for next major release

#6 - 2019-04-27 11:35 - Go MAEDA

- Has duplicate Patch #31133: Option to forbid children issues to folow parent issue moving to another project added

Files

RM_24198_Setting_for_subtasks_optionally_follow_the_project_change_of_the_parent.diff5.84 KB 2016-10-28 Jérôme BATAILLE

RM_24198_Setting_for_subtasks_optionally_follow_the_project_change_of_the_parent.diff5.86 KB 2016-10-28 Jérôme BATAILLE

RM_531512_Smile_Changement_de_projet_demande_-_ne_plus_faire_suivre_les_sous_taches.diff6.34 KB 2019-04-02 Jérôme BATAILLE
